<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Users/Linus/Documents/HiWi/SVT/MeLOn/myMeLOn/gaussian process/training/matlab/example_training_of_GP.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('example__training__of___g_p_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">example_training_of_GP.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:abad6b8d0a8fd5969d514598322572c70"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#abad6b8d0a8fd5969d514598322572c70">X</a> = lhsdesign(<a class="el" href="example__training__of___g_p_8m.html#aa493a5f1ccc6ea9b0d0f525ba2281266">nX</a>,<a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>)</td></tr>
<tr class="separator:abad6b8d0a8fd5969d514598322572c70"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad5f0f3a6c03bbe8ad9ff3e38df087efe"><td class="memItemLeft" align="right" valign="top">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in RWTH Aachen University Xiaopeng Daniel and Alexander Mitsos date January clc clear all close all&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#ad5f0f3a6c03bbe8ad9ff3e38df087efe">addpath</a> (&quot;Direct&quot;)</td></tr>
<tr class="separator:ad5f0f3a6c03bbe8ad9ff3e38df087efe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac491b0e7bcb247fb7489308074703210"><td class="memItemLeft" align="right" valign="top">Add <a class="el" href="_write___g_p__to__xml_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> for <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a7594b98b02fc1f4309bbfea308a6bb6d">DIRECT</a> solver&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#ac491b0e7bcb247fb7489308074703210">addpath</a> (&quot;GP <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a>&quot;)</td></tr>
<tr class="separator:ac491b0e7bcb247fb7489308074703210"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70f5a01c6a0b7ccb75f8c2a8b8e46b88"><td class="memItemLeft" align="right" valign="top">Add <a class="el" href="_write___g_p__to__xml_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> for Gaussian process <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> functions&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a70f5a01c6a0b7ccb75f8c2a8b8e46b88">addpath</a> (&quot;Write <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> to files&quot;)</td></tr>
<tr class="separator:a70f5a01c6a0b7ccb75f8c2a8b8e46b88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55295f1cfc3c4ee7f6ff998e05267abf"><td class="memItemLeft" align="right" valign="top">Evaluate <a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a> for all <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> Tranining of GPs <a class="el" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> (1).<a class="el" href="_write___g_p__to__json_8m.html#a73d52a27dc2e98d5407e74ae08206549">matern</a></td></tr>
<tr class="separator:a55295f1cfc3c4ee7f6ff998e05267abf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a321b3ffba653894021b19ee1f2ba174f"><td class="memItemLeft" align="right" valign="top">id&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a321b3ffba653894021b19ee1f2ba174f">GP_Parameters</a> ()</td></tr>
<tr class="separator:a321b3ffba653894021b19ee1f2ba174f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7ba900c42f88dbe7a3ee7a5b0832da1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#aa7ba900c42f88dbe7a3ee7a5b0832da1">Write_GP_to_json</a> (join([filename, &quot;.json&quot;]), Opt.GP(1), <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>, <a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a>, <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>, <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>)</td></tr>
<tr class="separator:aa7ba900c42f88dbe7a3ee7a5b0832da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5935882cb967f8f7a7af24f561521468"><td class="memItemLeft" align="right" valign="top">Compute <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> predictions in&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a5935882cb967f8f7a7af24f561521468">Matlab</a> (just for information) x_Test_Point</td></tr>
<tr class="separator:a5935882cb967f8f7a7af24f561521468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab50c331b679f2b0e5d4fef84e71f3934"><td class="memItemLeft" align="right" valign="top">Plot generated&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> (just for information) % Generate a mesh on the inputs[x_1_prediction</td></tr>
<tr class="separator:ab50c331b679f2b0e5d4fef84e71f3934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12b68dc62d90954ed10b2036395e38ee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a12b68dc62d90954ed10b2036395e38ee">y_prediction</a> (<a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>, <a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>)</td></tr>
<tr class="separator:a12b68dc62d90954ed10b2036395e38ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb6f113f5c9a107342f1f61a80065c80"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#aeb6f113f5c9a107342f1f61a80065c80">y_std</a> (<a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>, <a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>)</td></tr>
<tr class="separator:aeb6f113f5c9a107342f1f61a80065c80"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a91aa3a4920ddb5d1d0addda2788d6fb2"><td class="memItemLeft" align="right" valign="top">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a91aa3a4920ddb5d1d0addda2788d6fb2">Matlab</a></td></tr>
<tr class="separator:a91aa3a4920ddb5d1d0addda2788d6fb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14254e54e5be9e8b4bf8bb1a2b760e09"><td class="memItemLeft" align="right" valign="top">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in RWTH Aachen University&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a14254e54e5be9e8b4bf8bb1a2b760e09">n</a></td></tr>
<tr class="separator:a14254e54e5be9e8b4bf8bb1a2b760e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b35cdd75f15927277aece399233000a"><td class="memItemLeft" align="right" valign="top">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in RWTH Aachen University Xiaopeng&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a5b35cdd75f15927277aece399233000a">Lin</a></td></tr>
<tr class="separator:a5b35cdd75f15927277aece399233000a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb1d4a62d60a0c2b6ffcc3eb27e24dae"><td class="memItemLeft" align="right" valign="top">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in RWTH Aachen University Xiaopeng Daniel&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#adb1d4a62d60a0c2b6ffcc3eb27e24dae">Grothe</a></td></tr>
<tr class="separator:adb1d4a62d60a0c2b6ffcc3eb27e24dae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa493a5f1ccc6ea9b0d0f525ba2281266"><td class="memItemLeft" align="right" valign="top">Add <a class="el" href="_write___g_p__to__xml_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> for Gaussian process export functions General&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#aa493a5f1ccc6ea9b0d0f525ba2281266">nX</a> = 20</td></tr>
<tr class="separator:aa493a5f1ccc6ea9b0d0f525ba2281266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf2f3408f187b76d03c8c94afde557f6"><td class="memItemLeft" align="right" valign="top">Number of <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> points&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#aaf2f3408f187b76d03c8c94afde557f6">DX</a> = 2</td></tr>
<tr class="separator:aaf2f3408f187b76d03c8c94afde557f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb3638046bd79039a7571f8c646a4c84"><td class="memItemLeft" align="right" valign="top">Input dimension of <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#aeb3638046bd79039a7571f8c646a4c84">lb</a> = [-3, -3]</td></tr>
<tr class="separator:aeb3638046bd79039a7571f8c646a4c84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab88802a9fdd7b7273d475bf46f6dae1"><td class="memItemLeft" align="right" valign="top">Define Lower bound of inputs&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#aab88802a9fdd7b7273d475bf46f6dae1">ub</a> = [ 3, 3]</td></tr>
<tr class="separator:aab88802a9fdd7b7273d475bf46f6dae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2277fd69ad7105496867cd94f826304a"><td class="memItemLeft" align="right" valign="top">Define upper bound of inputs&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a></td></tr>
<tr class="separator:a2277fd69ad7105496867cd94f826304a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5d0dee4577dce4166b4f7d03510a14e"><td class="memItemLeft" align="right" valign="top">Scale inputs onto interval[<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>, <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#ab5d0dee4577dce4166b4f7d03510a14e">Y</a> = cellfun(<a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a>, num2cell(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>,2))</td></tr>
<tr class="separator:ab5d0dee4577dce4166b4f7d03510a14e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaba5efeea011c0def8ff19a52cc3db62"><td class="memItemLeft" align="right" valign="top">Define covariance <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#aaba5efeea011c0def8ff19a52cc3db62">Martern</a></td></tr>
<tr class="separator:aaba5efeea011c0def8ff19a52cc3db62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f39f78b88756a6e62305298bd22cbab"><td class="memItemLeft" align="right" valign="top">internal option for solver&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a> = Train_GP_and_return_hyperparameters(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>,<a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a>,<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>,<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>,Opt)</td></tr>
<tr class="separator:a5f39f78b88756a6e62305298bd22cbab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d4ceb95920472829ed9a1f644d4c9de"><td class="memItemLeft" align="right" valign="top">Plot generated&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a5d4ceb95920472829ed9a1f644d4c9de">x_2_prediction</a> = meshgrid(linspace(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>(1), <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>(1), 100), linspace(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>(2), <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>(2),100) )</td></tr>
<tr class="separator:a5d4ceb95920472829ed9a1f644d4c9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e137b3fb5c279332b8f4c38faa5cd81"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a8e137b3fb5c279332b8f4c38faa5cd81">y_prediction</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a>,1),1)</td></tr>
<tr class="separator:a8e137b3fb5c279332b8f4c38faa5cd81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf359d7e263aa0342dc5a4b7e9940381"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#adf359d7e263aa0342dc5a4b7e9940381">y_std</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a>,1),1)</td></tr>
<tr class="separator:adf359d7e263aa0342dc5a4b7e9940381"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a979696ee91052a0cb589c38f94a2591b"><td class="memItemLeft" align="right" valign="top">Evaluate <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> <a class="el" href="_direct_8m.html#a941d2b5f92db37c10af3ed77035087a3">at</a> all mesh points for&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___g_p_8m.html#a979696ee91052a0cb589c38f94a2591b">i</a></td></tr>
<tr class="separator:a979696ee91052a0cb589c38f94a2591b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="abad6b8d0a8fd5969d514598322572c70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abad6b8d0a8fd5969d514598322572c70">&#9670;&nbsp;</a></span>X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Function for <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> generation Generate <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> = lhsdesign(<a class="el" href="example__training__of___g_p_8m.html#aa493a5f1ccc6ea9b0d0f525ba2281266">nX</a>,<a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ad5f0f3a6c03bbe8ad9ff3e38df087efe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5f0f3a6c03bbe8ad9ff3e38df087efe">&#9670;&nbsp;</a></span>addpath() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in RWTH Aachen University Xiaopeng Daniel and Alexander Mitsos date January clc clear all close all addpath </td>
          <td>(</td>
          <td class="paramtype">&quot;Direct&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac491b0e7bcb247fb7489308074703210"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac491b0e7bcb247fb7489308074703210">&#9670;&nbsp;</a></span>addpath() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Add <a class="el" href="_write___g_p__to__xml_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> for <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a7594b98b02fc1f4309bbfea308a6bb6d">DIRECT</a> solver addpath </td>
          <td>(</td>
          <td class="paramtype">&quot;GP <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a>&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a70f5a01c6a0b7ccb75f8c2a8b8e46b88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70f5a01c6a0b7ccb75f8c2a8b8e46b88">&#9670;&nbsp;</a></span>addpath() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Add <a class="el" href="_write___g_p__to__xml_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> for Gaussian process <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> functions addpath </td>
          <td>(</td>
          <td class="paramtype">&quot;Write <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> to files&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab50c331b679f2b0e5d4fef84e71f3934"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab50c331b679f2b0e5d4fef84e71f3934">&#9670;&nbsp;</a></span>data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Plot generated data </td>
          <td>(</td>
          <td class="paramtype">just for&#160;</td>
          <td class="paramname"><em>information</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a55295f1cfc3c4ee7f6ff998e05267abf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55295f1cfc3c4ee7f6ff998e05267abf">&#9670;&nbsp;</a></span>GP()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Evaluate <a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a> for all <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> Tranining of GPs <a class="el" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a> GP </td>
          <td>(</td>
          <td class="paramtype">1&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a321b3ffba653894021b19ee1f2ba174f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a321b3ffba653894021b19ee1f2ba174f">&#9670;&nbsp;</a></span>GP_Parameters()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">id GP_Parameters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5935882cb967f8f7a7af24f561521468"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5935882cb967f8f7a7af24f561521468">&#9670;&nbsp;</a></span>Matlab()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Compute <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> predictions in Matlab </td>
          <td>(</td>
          <td class="paramtype">just for&#160;</td>
          <td class="paramname"><em>information</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa7ba900c42f88dbe7a3ee7a5b0832da1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7ba900c42f88dbe7a3ee7a5b0832da1">&#9670;&nbsp;</a></span>Write_GP_to_json()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Write_GP_to_json </td>
          <td>(</td>
          <td class="paramtype">join([filename, &quot;.json&quot;])&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Opt.&#160;</td>
          <td class="paramname"><em>GP</em>1, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a12b68dc62d90954ed10b2036395e38ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12b68dc62d90954ed10b2036395e38ee">&#9670;&nbsp;</a></span>y_prediction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">y_prediction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb6f113f5c9a107342f1f61a80065c80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb6f113f5c9a107342f1f61a80065c80">&#9670;&nbsp;</a></span>y_std()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">y_std </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aaf2f3408f187b76d03c8c94afde557f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf2f3408f187b76d03c8c94afde557f6">&#9670;&nbsp;</a></span>DX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Number of <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> points DX = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adb1d4a62d60a0c2b6ffcc3eb27e24dae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb1d4a62d60a0c2b6ffcc3eb27e24dae">&#9670;&nbsp;</a></span>Grothe</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in RWTH Aachen University Xiaopeng Daniel Grothe</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a979696ee91052a0cb589c38f94a2591b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a979696ee91052a0cb589c38f94a2591b">&#9670;&nbsp;</a></span>i</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Evaluate <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> <a class="el" href="_direct_8m.html#a941d2b5f92db37c10af3ed77035087a3">at</a> all mesh points for i</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= 1 : <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(x_1_prediction,1)</div>
<div class="line">    for <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a> = 1 : <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="code" href="example__training__of___g_p_8m.html#a5d4ceb95920472829ed9a1f644d4c9de">x_2_prediction</a>,1)</div>
<div class="line">        x_Test_Point = [x_1_prediction(<a class="code" href="example__training__of___g_p_8m.html#a979696ee91052a0cb589c38f94a2591b">i</a>,<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>), <a class="code" href="example__training__of___g_p_8m.html#a5d4ceb95920472829ed9a1f644d4c9de">x_2_prediction</a>(<a class="code" href="example__training__of___g_p_8m.html#a979696ee91052a0cb589c38f94a2591b">i</a>,<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>)]</div>
</div><!-- fragment -->
</div>
</div>
<a id="aeb3638046bd79039a7571f8c646a4c84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb3638046bd79039a7571f8c646a4c84">&#9670;&nbsp;</a></span>lb</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Input dimension of <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> lb = [-3, -3]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b35cdd75f15927277aece399233000a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b35cdd75f15927277aece399233000a">&#9670;&nbsp;</a></span>Lin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in RWTH Aachen University Xiaopeng Lin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaba5efeea011c0def8ff19a52cc3db62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaba5efeea011c0def8ff19a52cc3db62">&#9670;&nbsp;</a></span>Martern</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Define covariance <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Martern</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a91aa3a4920ddb5d1d0addda2788d6fb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91aa3a4920ddb5d1d0addda2788d6fb2">&#9670;&nbsp;</a></span>Matlab</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in Matlab</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">==============================================================================<a class="code" href="example__training__of___g_p_8m.html#a14254e54e5be9e8b4bf8bb1a2b760e09">\n</a></div>
<div class="line">%   Aachener Verfahrenstechnik-Systemverfahrenstechnik</div>
</div><!-- fragment -->
</div>
</div>
<a id="a14254e54e5be9e8b4bf8bb1a2b760e09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14254e54e5be9e8b4bf8bb1a2b760e09">&#9670;&nbsp;</a></span>n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for Gaussian <a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a> in RWTH Aachen University n</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">==============================================================================<a class="code" href="example__training__of___g_p_8m.html#a14254e54e5be9e8b4bf8bb1a2b760e09">\n</a></div>
<div class="line">%</div>
<div class="line">%  @author Artur Schweidtmann</div>
</div><!-- fragment -->
</div>
</div>
<a id="aa493a5f1ccc6ea9b0d0f525ba2281266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa493a5f1ccc6ea9b0d0f525ba2281266">&#9670;&nbsp;</a></span>nX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Add <a class="el" href="_write___g_p__to__xml_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> for Gaussian process export functions General nX = 20</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f39f78b88756a6e62305298bd22cbab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f39f78b88756a6e62305298bd22cbab">&#9670;&nbsp;</a></span>Opt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal option for solver Opt = Train_GP_and_return_hyperparameters(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>,<a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a>,<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>,<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>,Opt)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2277fd69ad7105496867cd94f826304a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2277fd69ad7105496867cd94f826304a">&#9670;&nbsp;</a></span>test_func</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Define upper bound of inputs test_func</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= @(x) 3*(1-x(1)).^2.*exp(-(x(1).^2) - (x(2)+1).^2) ... </div>
<div class="line">   - 10*(x(1)/5 - x(1).^3 - x(2).^5).*exp(-x(1).^2-x(2).^2) ... </div>
<div class="line">   - 1/3*exp(-(x(1)+1).^2 - x(2).^2)</div>
</div><!-- fragment -->
</div>
</div>
<a id="aab88802a9fdd7b7273d475bf46f6dae1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab88802a9fdd7b7273d475bf46f6dae1">&#9670;&nbsp;</a></span>ub</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Define Lower bound of inputs ub = [ 3, 3]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d4ceb95920472829ed9a1f644d4c9de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d4ceb95920472829ed9a1f644d4c9de">&#9670;&nbsp;</a></span>x_2_prediction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Plot generated x_2_prediction = meshgrid(linspace(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>(1), <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>(1), 100), linspace(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>(2), <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>(2),100) )</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5d0dee4577dce4166b4f7d03510a14e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5d0dee4577dce4166b4f7d03510a14e">&#9670;&nbsp;</a></span>Y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Scale inputs onto interval [<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>, <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>] Y = cellfun(<a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a>, num2cell(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>,2))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e137b3fb5c279332b8f4c38faa5cd81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e137b3fb5c279332b8f4c38faa5cd81">&#9670;&nbsp;</a></span>y_prediction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">y_prediction = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a>,1),1)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adf359d7e263aa0342dc5a4b7e9940381"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf359d7e263aa0342dc5a4b7e9940381">&#9670;&nbsp;</a></span>y_std</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">y_std = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a>,1),1)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aexample__training__of___g_p_8m_html_a5d4ceb95920472829ed9a1f644d4c9de"><div class="ttname"><a href="example__training__of___g_p_8m.html#a5d4ceb95920472829ed9a1f644d4c9de">x_2_prediction</a></div><div class="ttdeci">Plot generated x_2_prediction</div><div class="ttdef"><b>Definition:</b> example_training_of_GP.m:65</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_a8d780116abd74ce4edb29522382d30be"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a></div><div class="ttdeci">Xnew size()</div></div>
<div class="ttc" id="aexample__training__of___g_p_8m_html_a979696ee91052a0cb589c38f94a2591b"><div class="ttname"><a href="example__training__of___g_p_8m.html#a979696ee91052a0cb589c38f94a2591b">i</a></div><div class="ttdeci">Evaluate prediction at all mesh points for i</div><div class="ttdef"><b>Definition:</b> example_training_of_GP.m:72</div></div>
<div class="ttc" id="aexample__training__of___g_p_8m_html_a14254e54e5be9e8b4bf8bb1a2b760e09"><div class="ttname"><a href="example__training__of___g_p_8m.html#a14254e54e5be9e8b4bf8bb1a2b760e09">n</a></div><div class="ttdeci">file example_training_of_GP m brief Illustrative training script for Gaussian processes in RWTH Aachen University n</div><div class="ttdef"><b>Definition:</b> example_training_of_GP.m:8</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_ac86694252f8dfdb19aaeadc4b7c342c6"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a></div><div class="ttdeci">Training of GP for j</div><div class="ttdef"><b>Definition:</b> Train_GP_and_return_hyperparameters.m:24</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_f620e5568ec0800ef52addb3e6877e12.html">gaussian process</a></li><li class="navelem"><a class="el" href="dir_1fc81c00cac59075ae13874c4e72a6a9.html">training</a></li><li class="navelem"><a class="el" href="dir_eb5cf4e9e40c78cd4a9a033353776a44.html">matlab</a></li><li class="navelem"><a class="el" href="example__training__of___g_p_8m.html">example_training_of_GP.m</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
